LogAggregationFileControllerContext (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.logaggregation.filecontroller, class: LogAggregationFileControllerContext

Package org.apache.hadoop.yarn.logaggregation.filecontroller

# Class LogAggregationFileControllerContext

java.lang.Object
org.apache.hadoop.yarn.logaggregation.filecontroller.LogAggregationFileControllerContext

@Private @Unstable public class LogAggregationFileControllerContext extends Object
`LogAggregationFileControllerContext` is a record used in the log aggregation process.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LogAggregationFileControllerContext(org.apache.hadoop.fs.Path remoteNodeLogFileForApp, org.apache.hadoop.fs.Path remoteNodeTmpLogFileForApp, boolean logAggregationInRolling, long rollingMonitorInterval, org.apache.hadoop.yarn.api.records.ApplicationId appId, Map<org.apache.hadoop.yarn.api.records.ApplicationAccessType,String> appAcls, org.apache.hadoop.yarn.api.records.NodeId nodeId, org.apache.hadoop.security.UserGroupInformation userUgi)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<org.apache.hadoop.yarn.api.records.ApplicationAccessType,String>`
  `getAppAcls()`
  `org.apache.hadoop.yarn.api.records.ApplicationId`
  `getAppId()`
  `int`
  `getCleanOldLogsTimes()`
  `int`
  `getLogAggregationTimes()`
  `long`
  `getLogUploadTimeStamp()`
  `org.apache.hadoop.yarn.api.records.NodeId`
  `getNodeId()`
  `org.apache.hadoop.fs.Path`
  `getRemoteNodeLogFileForApp()`
  `org.apache.hadoop.fs.Path`
  `getRemoteNodeTmpLogFileForApp()`
  `long`
  `getRollingMonitorInterval()`
  `org.apache.hadoop.security.UserGroupInformation`
  `getUserUgi()`
  `void`
  `increcleanupOldLogTimes()`
  `void`
  `increLogAggregationTimes()`
  `boolean`
  `isLogAggregationInRolling()`
  `boolean`
  `isUploadedLogsInThisCycle()`
  `void`
  `setLogUploadTimeStamp(long uploadTimeStamp)`
  `void`
  `setUploadedLogsInThisCycle(boolean uploadedLogsInThisCycle)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LogAggregationFileControllerContext

    public LogAggregationFileControllerContext(org.apache.hadoop.fs.Path remoteNodeLogFileForApp, org.apache.hadoop.fs.Path remoteNodeTmpLogFileForApp, boolean logAggregationInRolling, long rollingMonitorInterval, org.apache.hadoop.yarn.api.records.ApplicationId appId, Map<org.apache.hadoop.yarn.api.records.ApplicationAccessType,String> appAcls, org.apache.hadoop.yarn.api.records.NodeId nodeId, org.apache.hadoop.security.UserGroupInformation userUgi)

- ## Method Details

  - ### isUploadedLogsInThisCycle

    public boolean isUploadedLogsInThisCycle()

  - ### setUploadedLogsInThisCycle

    public void setUploadedLogsInThisCycle(boolean uploadedLogsInThisCycle)

  - ### getRemoteNodeLogFileForApp

    public org.apache.hadoop.fs.Path getRemoteNodeLogFileForApp()

  - ### getRollingMonitorInterval

    public long getRollingMonitorInterval()

  - ### isLogAggregationInRolling

    public boolean isLogAggregationInRolling()

  - ### getLogUploadTimeStamp

    public long getLogUploadTimeStamp()

  - ### setLogUploadTimeStamp

    public void setLogUploadTimeStamp(long uploadTimeStamp)

  - ### getNodeId

    public org.apache.hadoop.yarn.api.records.NodeId getNodeId()

  - ### getUserUgi

    public org.apache.hadoop.security.UserGroupInformation getUserUgi()

  - ### getAppId

    public org.apache.hadoop.yarn.api.records.ApplicationId getAppId()

  - ### getRemoteNodeTmpLogFileForApp

    public org.apache.hadoop.fs.Path getRemoteNodeTmpLogFileForApp()

  - ### increLogAggregationTimes

    public void increLogAggregationTimes()

  - ### increcleanupOldLogTimes

    public void increcleanupOldLogTimes()

  - ### getLogAggregationTimes

    public int getLogAggregationTimes()

  - ### getCleanOldLogsTimes

    public int getCleanOldLogsTimes()

  - ### getAppAcls

    public Map<org.apache.hadoop.yarn.api.records.ApplicationAccessType,String> getAppAcls()